"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Pane = Pane;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var React = _interopRequireWildcard(require("react"));
var _resourceTree = require("./components/resourceTree");
var _behaviors = require("./components/addFile/behaviors");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function Pane(props) {
  var _props$pluginContext$, _props$options2, _props$options2$conte;
  React.useEffect(function () {
    var _props$options, _props$options$init;
    (_props$options = props.options) === null || _props$options === void 0 ? void 0 : (_props$options$init = _props$options.init) === null || _props$options$init === void 0 ? void 0 : _props$options$init.call(_props$options, props.pluginContext);
  }, []);
  var ContextMenu = ((_props$pluginContext$ = props.pluginContext.commonUI) === null || _props$pluginContext$ === void 0 ? void 0 : _props$pluginContext$.ContextMenu) || React.Fragment;
  return /*#__PURE__*/React.createElement(ContextMenu, {
    menus: ((_props$options2 = props.options) === null || _props$options2 === void 0 ? void 0 : (_props$options2$conte = _props$options2.contextMenuActions) === null || _props$options2$conte === void 0 ? void 0 : _props$options2$conte.call(_props$options2, props.pluginContext)) || []
  }, /*#__PURE__*/React.createElement("div", {
    className: "workspace-view-pane"
  }, /*#__PURE__*/React.createElement("div", {
    className: "workspace-view-pane-content",
    onClick: function onClick(e) {
      e.stopPropagation();
    }
  }, /*#__PURE__*/React.createElement(_resourceTree.ResourcePaneContent, {
    defaultExpandAll: true,
    pluginContext: props.pluginContext,
    behaviors: function behaviors(behaviorsProps) {
      return /*#__PURE__*/React.createElement(_behaviors.Behaviors, (0, _extends2["default"])({}, behaviorsProps, {
        pluginContext: props.pluginContext,
        options: props.options
      }));
    },
    options: props.options
  }))));
}